You are here

Compilation

gcc error during MPI compilation, unrecognized option '-plugin'

Category: 
Compilation

Hello,

 

I am trying to complie the week46 built (rosetta_bin_linux_2016.46.59086_bundle) on a machine with 1) python/2.7.11    2) gcc/4.9.2        3) openmpi/1.10.1

I get the following error:

Post Situation: 

PocketGrid.cc file error during Rosetta compiling

Category: 
Compilation

Hi,

I am trying to compile Rosetta 3.7 (Released Sep 11, 2016) and it was building fine until it hit this error (attached below). It seems to be upset about the PocketGrid.cc file, but I'm not sure how to go about solving the error since I'm not familiar with coding languages. Any help would be greatly appreciated. Thank you.

Marlyn

 

Post Situation: 

week 46.2016 mpi comlie error: unrecognized command line option "-std=c++11"

Category: 
Compilation

Hi, 

I am trying to compile weekly build 46.2016 using "./scons.py bin -j3 mode=release extras=mpi"  and get this error:

error: unrecognized command line option "-std=c++11"

My gcc and g++ version is 4.8.2 20140120 (Red Hat 4.8.2-15). Any idea why this is happening? Any suggestion is highly appreciated.

 

Thanks!

Post Situation: 

Error compiling on ubuntu 16.04

Category: 
Compilation

Hi,

I'm having trouble compiling PyRosetta on Ubuntu 16.04 64-bit

Rosetta version is: rosetta_src_2016.46.59086_bundle

gcc version is 5.4.0

Python version is 2.7.12

Initially I set up PyRosetta for compilation by executing "DeployPyRosetta.py" in  "tools/PyRosetta.develop".  I ran into an issue compiling gccxml, and added the flag "-DCMAKE_C_FLAGS=-fgnu89-inline" to the DeployPyRosetta.py script to get the setup script to run to completion.

Post Situation: 

mpi installation issues

Category: 
Compilation

hi all

i am trying to build mpi version of rosetta 3.7 on a machine with redhat linux (I have no problem installing on Ubuntu). I copied the topsail site.settings file and commented out the path to INCLUDE because initially rosetta complained about no INCLUDE parameter.

I compile by using scons(scons -j8 bin mode=release extras=mpi) and the compiling ends fine, no error, no stalling, but when i execute the executables (for instance fixbb) i get the  message below:

Post Situation: 

'MPI' has not been declared

Category: 
Compilation

Hello,

I have built the MPI binaries many times without issue... until now.  I have two machines with the same Ubuntu build, openmpi, and site.settings file on them.  The build goes fine on one, but fails on the other (I did the openmpi installation tests and they succeed).

In the build output I see: "'MPI' has not been declared".   Below is more of the output... thank you very much in advance for your time!

Post Situation: 

Pages

Subscribe to RSS - Compilation